package com.neusoft.smart.pos.member.persistent.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class MemberLevel implements Serializable {
    private Integer memberLevelId;

    private String levelName;

    private BigDecimal cardSalesAmount;

    private BigDecimal initAmount;

    private BigDecimal salesAmount;

    private Integer giveIntegral;

    private BigDecimal discountProportion;

    private BigDecimal rechargeConvertRate;

    private Integer memberTime;

    private Integer memberTimeUnit;

    private Integer signIntegral;

    private String memberImage;

    private Integer isActive;

    private String content;

    private Integer version;

    private Date createdTime;

    private String createdBy;

    private Date updatedTime;

    private String updatedBy;

    private Integer orgId;

    private Integer storeId;

    private Byte level;

    private Integer requiredPoint;

    private BigDecimal requiredRechargeAmount;

    private static final long serialVersionUID = 1L;

    public Integer getMemberLevelId() {
        return memberLevelId;
    }

    public void setMemberLevelId(Integer memberLevelId) {
        this.memberLevelId = memberLevelId;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName == null ? null : levelName.trim();
    }

    public BigDecimal getCardSalesAmount() {
        return cardSalesAmount;
    }

    public void setCardSalesAmount(BigDecimal cardSalesAmount) {
        this.cardSalesAmount = cardSalesAmount;
    }

    public BigDecimal getInitAmount() {
        return initAmount;
    }

    public void setInitAmount(BigDecimal initAmount) {
        this.initAmount = initAmount;
    }

    public BigDecimal getSalesAmount() {
        return salesAmount;
    }

    public void setSalesAmount(BigDecimal salesAmount) {
        this.salesAmount = salesAmount;
    }

    public Integer getGiveIntegral() {
        return giveIntegral;
    }

    public void setGiveIntegral(Integer giveIntegral) {
        this.giveIntegral = giveIntegral;
    }

    public BigDecimal getDiscountProportion() {
        return discountProportion;
    }

    public void setDiscountProportion(BigDecimal discountProportion) {
        this.discountProportion = discountProportion;
    }

    public BigDecimal getRechargeConvertRate() {
        return rechargeConvertRate;
    }

    public void setRechargeConvertRate(BigDecimal rechargeConvertRate) {
        this.rechargeConvertRate = rechargeConvertRate;
    }

    public Integer getMemberTime() {
        return memberTime;
    }

    public void setMemberTime(Integer memberTime) {
        this.memberTime = memberTime;
    }

    public Integer getMemberTimeUnit() {
        return memberTimeUnit;
    }

    public void setMemberTimeUnit(Integer memberTimeUnit) {
        this.memberTimeUnit = memberTimeUnit;
    }

    public Integer getSignIntegral() {
        return signIntegral;
    }

    public void setSignIntegral(Integer signIntegral) {
        this.signIntegral = signIntegral;
    }

    public String getMemberImage() {
        return memberImage;
    }

    public void setMemberImage(String memberImage) {
        this.memberImage = memberImage == null ? null : memberImage.trim();
    }

    public Integer getIsActive() {
        return isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Byte getLevel() {
        return level;
    }

    public void setLevel(Byte level) {
        this.level = level;
    }

    public Integer getRequiredPoint() {
        return requiredPoint;
    }

    public void setRequiredPoint(Integer requiredPoint) {
        this.requiredPoint = requiredPoint;
    }

    public BigDecimal getRequiredRechargeAmount() {
        return requiredRechargeAmount;
    }

    public void setRequiredRechargeAmount(BigDecimal requiredRechargeAmount) {
        this.requiredRechargeAmount = requiredRechargeAmount;
    }
}